PATCH https://graph.microsoft.com/beta/tenantRelationships/managedTenants/tenantTags/{tenantTagId}
Content-Type: application/json
{
"displayName": "Onboarding",
"description": "Tenants that we are currently onboarding"
}
GraphServiceClient graphClient = new GraphServiceClient( authProvider );
var tenantTag = new Microsoft.Graph.ManagedTenants.TenantTag
{
DisplayName = "Onboarding",
Description = "Tenants that we are currently onboarding"
};
await graphClient.TenantRelationships.ManagedTenants.TenantTags["{managedTenants.tenantTag-id}"]
.Request()
.UpdateAsync(tenantTag);
GraphServiceClient graphClient = GraphServiceClient.builder().authenticationProvider( authProvider ).buildClient();
TenantTag tenantTag = new TenantTag();
tenantTag.displayName = "Onboarding";
tenantTag.description = "Tenants that we are currently onboarding";
graphClient.tenantRelationships().managedTenants().tenantTags("{tenantTagId}")
.buildRequest()
.patch(tenantTag);
//THE GO SDK IS IN PREVIEW. NON-PRODUCTION USE ONLY
graphClient := msgraphsdk.NewGraphServiceClient(requestAdapter)
requestBody := msgraphsdk.NewTenantTag()
displayName := "Onboarding"
requestBody.SetDisplayName(&displayName)
description := "Tenants that we are currently onboarding"
requestBody.SetDescription(&description)
tenantTagId := "tenantTag-id"
graphClient.TenantRelationships().ManagedTenants().TenantTagsById(&tenantTagId).Patch(requestBody)